package com.tuoheng.admin.enums;

import lombok.Getter;

/**
 *  巡检任务状态：5:任务待飞行; 6:准备中; 7:飞行失败; 10:任务飞行中; 15:任务飞行完成;'
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-23
 */
public enum InspectionStatusEnum {

    WAIT_FLIGHT(5,"待飞行"),
    PREPARING(6,"准备中"),
    FLIGHT_FAILED(7,"飞行失败"),
    IN_FLIGHT(10,"飞行中"),
    FLIGHT_COMPLETED(15,"飞行完成");

    InspectionStatusEnum(int code, String description){
        this.code = code;
        this.description = description;
    }

    @Getter
    private int code;

    @Getter
    private String description;

}
